#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define rel 1

Name:          qqc2-desktop-style
Summary:       Qt Quick Controls 2: Desktop Style
Version: 6.5.0
Release:       %mkrel %{rel}
Group:         Graphical desktop/KDE
License:       GPLv2
URL:           https://kde.org
Source0:       https://download.kde.org/stable/frameworks/%{url_ver}/%name-%{version}.tar.xz

BuildRequires: kf6-rpm-macros

BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Quick)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6QuickControls2)
BuildRequires: cmake(Qt6LinguistTools)
BuildRequires: cmake(Qt6Xml)

BuildRequires: cmake(KF6Config)
BuildRequires: cmake(KF6KirigamiPlatform) >= %version

BuildRequires: cmake(KF6IconThemes) >= %version
BuildRequires: cmake(KF6ColorScheme) >= %version

Requires:      kirigami
Requires:      sonnet

%description
Qt Quick Controls 2: Desktop Style.

%files -f qqc2desktopstyle_qt.lang
%_kf6_plugindir/kirigami/platform/org.kde.desktop.so
%_kf6_qmldir/org/kde/desktop/*
%_kf6_qmldir/org/kde/qqc2desktopstyle/

#--------------------------------------------------------------------

%define kf6qqc2deskopstyle_devel %mklibname kf6qqc2deskopstyle -d

%package -n %kf6qqc2deskopstyle_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6qqc2deskopstyle_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6qqc2deskopstyle_devel
%_kf6_libdir/cmake/KF6QQC2DesktopStyle/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

%find_lang_kf6 qqc2desktopstyle_qt


%changelog
* Fri Aug 09 2024 daviddavid <daviddavid> 6.5.0-1.mga10
+ Revision: 2084412
- New version 6.5.0

* Fri Jun 07 2024 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2070575
- New version 6.3.0

* Sat May 11 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2063434
- New version 6.2.0

* Sun Apr 14 2024 daviddavid <daviddavid> 6.1.0-1.mga10
+ Revision: 2057249
- New version 6.1.0

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2044963
- New version 6.0.0

* Tue Feb 06 2024 neoclust <neoclust> 5.249.0-1.mga10
+ Revision: 2037523
- New version 5.249.0

* Wed Jan 10 2024 neoclust <neoclust> 5.248.0-1.mga10
+ Revision: 2029616
- New version 5.248.0

* Mon Jan 01 2024 neoclust <neoclust> 5.247.0-1.mga10
+ Revision: 2025650
- New version 5.247.0
- New version 5.246.0

* Sat Nov 11 2023 neoclust <neoclust> 5.245.0-1.mga10
+ Revision: 2006032
- New version 5.245.0

* Thu Oct 19 2023 daviddavid <daviddavid> 5.111.0-1.mga10
+ Revision: 1999007
- New version 5.111.0

* Sun Sep 17 2023 daviddavid <daviddavid> 5.110.0-1.mga10
+ Revision: 1987400
- New version 5.110.0

* Mon Apr 10 2023 neoclust <neoclust> 5.105.0-1.mga9
+ Revision: 1952097
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947891
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941398
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 5.102.0-1.mga9
+ Revision: 1935047
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922298
- New version 5.101.0

* Mon Nov 28 2022 daviddavid <daviddavid> 5.100.0-2.mga9
+ Revision: 1912131
- add missing runtime dependency on sonnet

* Sun Nov 27 2022 neoclust <neoclust> 5.100.0-1.mga9
+ Revision: 1911666
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900269
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1887706
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1880648
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1871748
- New version 5.96.0

* Tue Apr 26 2022 neoclust <neoclust> 5.93.0-1.mga9
+ Revision: 1853846
- New version 5.93.0

* Wed Apr 06 2022 umeabot <umeabot> 5.92.0-2.mga9
+ Revision: 1846207
- Mageia 9 Mass Rebuild
+ neoclust <neoclust>
- New version 5.92.0

* Mon Nov 08 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1754876
- New version 5.88.0
- New version 5.87.0
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 5.84.0-1.mga9
+ Revision: 1735310
- New version 5.84.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723506
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714898
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1702074
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 5.79.0-1.mga9
+ Revision: 1691168
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653383
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633233
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625668
- New version 5.74.0

* Sun Aug 09 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612365
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603140
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1592832
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1582058
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566549
- New version 5.69.0
+ danf <danf>
- Switch URLs from http: to https:

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556726
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.1-2.mga8
+ Revision: 1546949
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 daviddavid <daviddavid> 5.67.1-1.mga8
+ Revision: 1490146
- New version 5.67.1

* Wed Feb 05 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1487275
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Mon Dec 16 2019 daviddavid <daviddavid> 5.65.0-2.mga8
+ Revision: 1468352
- enable Qt5X11Extras support

* Sat Dec 14 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1467209
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457663
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1451038
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1444850
- New version 5.62.0

* Thu Jul 11 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420115
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386987
- New version 5.57.0

* Mon Apr 01 2019 umeabot <umeabot> 5.56.0-2.mga7
+ Revision: 1384251
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1374645
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364580
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356710
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1339259
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1319006
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1300670
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1250240
- New version 5.49.0

* Thu May 17 2018 neoclust <neoclust> 5.46.0-1.mga7
+ Revision: 1230213
- New version 5.46.0

* Fri Jan 19 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1194811
- imported package qqc2-desktop-style

